GET api/pcapi/pc/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "bc228ddb-d815-439f-bd99-55d4bad6d47f",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "95576221-72be-49c4-9984-c2a01e60d7b0",
"local_ip": "sample string 7",
"lock_id": "02c5f19d-7891-4cad-a642-c111579e8c02",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "96f0cde9-d74f-4b4a-86e2-ee3e614835de",
"rights": [
{
"code": "sample string 1",
"id": "6bf502bf-8071-4783-ab48-da2684af9d2f"
},
{
"code": "sample string 1",
"id": "6bf502bf-8071-4783-ab48-da2684af9d2f"
}
],
"site_id": "30740357-72f2-4bf2-9982-c3f511208d9f",
"zone_id": "e8ea61b6-fbe4-4bde-83b9-8902b3dd1b4e"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>bc228ddb-d815-439f-bd99-55d4bad6d47f</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>95576221-72be-49c4-9984-c2a01e60d7b0</id>
<local_ip>sample string 7</local_ip>
<lock_id>02c5f19d-7891-4cad-a642-c111579e8c02</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>96f0cde9-d74f-4b4a-86e2-ee3e614835de</pc_type_id>
<rights>
<right>
<ID>6bf502bf-8071-4783-ab48-da2684af9d2f</ID>
<code>sample string 1</code>
</right>
<right>
<ID>6bf502bf-8071-4783-ab48-da2684af9d2f</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>30740357-72f2-4bf2-9982-c3f511208d9f</site_id>
<zone_id>e8ea61b6-fbe4-4bde-83b9-8902b3dd1b4e</zone_id>
</pc>